require 'rails_helper'

RSpec.describe TaskRequest, type: :model do
  describe "associations" do
    it { is_expected.to belong_to(:project) }
  end

  describe "enums" do
    it { is_expected.to define_enum_for(:status).with_values([:pending, :completed, :cancelled]) }
  end

  describe "#order_by_recent" do
    subject { described_class }
    it { is_expected.to respond_to(:order_by_recent) }
  end

  describe "#validations" do
    it { should validate_numericality_of(:time_allowed).only_integer.is_greater_than_or_equal_to(2) }
  end
end
